import React, { PropTypes } from 'react'
import DirectionalIcon from './DirectionalIcon'

const Triangle = ({ fill, ...props }) => {
  return (
    <DirectionalIcon {...props}>
      <svg xmlns="http://www.w3.org/2000/svg" xmlnsXlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="100%" height="100%" viewBox="0 0 16 16">
        <g>
          <polygon fill={fill} points="13,11 8,5 3,11 "/>
        </g>
      </svg>
    </DirectionalIcon>
  )
}

Triangle.propTypes = {
  ...DirectionalIcon.propTypes
}

Triangle.defaultProps = {
  ...DirectionalIcon.defaultProps
}

export default Triangle
