const TextStyles = {}

const typeStyles = ({ fontSize, fontWeight, lineHeight, letterSpacing }) => `
  font-size: ${fontSize};
  font-weight: ${fontWeight};
  line-height: ${lineHeight};
  letter-spacing: ${letterSpacing};
`

const getValue = (val) => Number.isInteger(val) ? val - 1 : 0

TextStyles.display = (val, theme) => typeStyles(theme.type.display[getValue(val)])

TextStyles.body = (val, theme) => typeStyles(theme.type.body[getValue(val)])

TextStyles.mono = (val, theme) => `
  font-family: ${theme.fonts.mono};
  ${typeStyles(theme.type.mono[getValue(val)])}
`

TextStyles.caps = (val, theme) => `
  text-transform: ${theme.type.caps[getValue(val)].textTransform};
  ${typeStyles(theme.type.caps[getValue(val)])}
`

export default TextStyles
